de.esprit.appsuite.task

## Enum RunState

- java.lang.Object
- - java.lang.Enum<RunState>
  - - de.esprit.appsuite.task.RunState

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<RunState>

      public enum RunState
      extends java.lang.Enum<RunState>
      implements NlsKey

  This class defines the possible states of running asynchronous tasks
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED`
    `CHILD_FINISHED`
    `CHILD_STARTED`
    `CHILD_SUCCEEDED`
    `FAILED`
    `FINISHED`
    `INITIALIZED`
    `PROGRESS`
    `STARTED`
    `SUCCEEDED`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `boolean` | `isCancelled()`
    `boolean` | `isChildFinished()`
    `boolean` | `isChildStarted()`
    `boolean` | `isChildState()`
    `boolean` | `isChildSucceeded()`
    `boolean` | `isFailed()`
    `boolean` | `isFinished()`
    `boolean` | `isHaltState()`
    `boolean` | `isInitialized()`
    `boolean` | `isProgress()`
    `boolean` | `isStarted()`
    `boolean` | `isSucceeded()`
    `static RunState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RunState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### INITIALIZED

          public static final RunState INITIALIZED

    - #### STARTED

          public static final RunState STARTED

    - #### PROGRESS

          public static final RunState PROGRESS

    - #### CHILD_STARTED

          public static final RunState CHILD_STARTED

    - #### CHILD_SUCCEEDED

          public static final RunState CHILD_SUCCEEDED

    - #### CHILD_FINISHED

          public static final RunState CHILD_FINISHED

    - #### CANCELLED

          public static final RunState CANCELLED

    - #### SUCCEEDED

          public static final RunState SUCCEEDED

    - #### FAILED

          public static final RunState FAILED

    - #### FINISHED

          public static final RunState FINISHED

  - ### Method Detail

    - #### values

          public static RunState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RunState c : RunState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RunState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isInitialized

          public boolean isInitialized()

    - #### isStarted

          public boolean isStarted()

    - #### isProgress

          public boolean isProgress()

    - #### isSucceeded

          public boolean isSucceeded()

    - #### isCancelled

          public boolean isCancelled()

    - #### isFailed

          public boolean isFailed()

    - #### isFinished

          public boolean isFinished()

    - #### isChildStarted

          public boolean isChildStarted()

    - #### isChildSucceeded

          public boolean isChildSucceeded()

    - #### isChildFinished

          public boolean isChildFinished()

    - #### isChildState

          public boolean isChildState()

    - #### isHaltState

          public boolean isHaltState()

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.